<?xml version="1.0" encoding="utf-8"?>


<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/titleLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="start"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/logo"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="start|center"
            android:layout_marginStart="@dimen/_5sdp"
            android:layout_marginLeft="@dimen/_5sdp"
            android:layout_marginTop="@dimen/seekbarsize_small"
            android:src="@drawable/back_icon" />

        <TextView
            android:id="@+id/textView"
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_gravity="start|center"
            android:layout_marginEnd="@dimen/_5sdp"
            android:layout_marginRight="@dimen/_5sdp"
            android:layout_weight="1"
            android:ellipsize="marquee"
            android:gravity="start|center"
            android:paddingTop="@dimen/seekbarsize_small"
            android:singleLine="true"
            android:textAllCaps="false"
            android:textColor="@color/material_bluegrey800"
            android:textSize="@dimen/txt11"
            android:textStyle="bold" />

        <LinearLayout
            android:id="@+id/buttons"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="@dimen/_10sdp"
            android:layout_marginEnd="@dimen/_10sdp"
            android:layout_marginRight="@dimen/_10sdp"
            android:layout_marginBottom="@dimen/_10sdp"
            android:gravity="end|center"
            android:orientation="horizontal">

            <Button
                android:id="@+id/btn_color"
                android:layout_width="@dimen/_90sdp"
                android:layout_height="@dimen/_30sdp"
                android:background="@color/material_bluegrey800"
                android:text="@string/color"
                android:textAllCaps="false"
                android:textColor="@color/white"
                android:textSize="@dimen/txt11" />

            <Button
                android:id="@+id/btn_accessories"
                android:layout_width="@dimen/_90sdp"
                android:layout_height="@dimen/_30sdp"
                android:background="@color/grey"
                android:text="@string/accessories"
                android:textAllCaps="false"
                android:textColor="@color/white"
                android:textSize="@dimen/txt11" />

        </LinearLayout>

    </LinearLayout>


    <RelativeLayout
        android:id="@+id/whole_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center_horizontal"
            android:orientation="horizontal"
            android:weightSum="1">

            <ScrollView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:scrollbars="none">

                <LinearLayout
                    android:id="@+id/linear_color"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical" />

            </ScrollView>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:elevation="@dimen/seekbarsize_small"
                android:orientation="vertical">

                <RelativeLayout
                    android:id="@+id/accessories_buttons"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/_30sdp"
                    android:layout_marginStart="@dimen/_20sdp"
                    android:layout_marginLeft="@dimen/_20sdp"
                    android:layout_marginTop="@dimen/_10sdp"
                    android:layout_marginEnd="@dimen/_10sdp"
                    android:layout_marginRight="@dimen/_10sdp"
                    android:layout_marginBottom="@dimen/_5sdp"
                    android:orientation="horizontal"
                    android:visibility="visible">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:visibility="visible">

                        <Button
                            android:id="@+id/btn_bikers"
                            android:layout_width="@dimen/_60sdp"
                            android:layout_height="match_parent"
                            android:background="@drawable/border_bottom_material_gray"
                            android:text="@string/bikers"
                            android:textAllCaps="false"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="@dimen/txt12" />

                        <Button
                            android:id="@+id/btn_riders"
                            android:layout_width="@dimen/_60sdp"
                            android:layout_height="match_parent"
                            android:background="@android:color/transparent"
                            android:text="@string/riders"
                            android:textAllCaps="false"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="@dimen/txt12" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/lloutSpn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_alignParentRight="true"
                        android:layout_centerInParent="true"
                        android:layout_marginRight="@dimen/_40sdp"
                        android:background="@drawable/custom_border"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:weightSum="2">

                        <Spinner
                            android:id="@+id/spnRiderId"
                            android:layout_width="wrap_content"
                            android:layout_height="34dp"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="@dimen/txt9" />

                    </LinearLayout>

                </RelativeLayout>

                <LinearLayout
                    android:id="@+id/lloutVariantSpn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="end"
                    android:layout_marginRight="@dimen/_40sdp"
                    android:background="@drawable/custom_border"
                    android:gravity="center"
                    android:orientation="horizontal"
                    android:weightSum="2">

                    <Spinner
                        android:id="@+id/spnVarient"
                        android:layout_width="match_parent"
                        android:layout_height="34dp"
                        android:textColor="@color/material_bluegrey800"
                        android:textSize="@dimen/txt9" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_gravity="center"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/imageCar2"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:layout_margin="@dimen/_8sdp"
                        android:contentDescription="@string/app_name"
                        android:padding="@dimen/_5sdp"
                        android:scaleType="fitCenter" />

                    <LinearLayout
                        android:id="@+id/linearimage"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/_10sdp"
                        android:background="@android:color/transparent"
                        android:orientation="horizontal"
                        android:padding="@dimen/_3sdp">

                        <ImageView
                            android:id="@+id/imageCar1"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="center"
                            android:layout_margin="@dimen/_8sdp"
                            android:contentDescription="@string/app_name"
                            android:minWidth="@dimen/_150sdp"
                            android:padding="@dimen/_5sdp"
                            android:scaleType="fitCenter" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/lloutDesc"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="@dimen/_20sdp"
                        android:layout_marginEnd="@dimen/_20sdp"
                        android:gravity="start|center"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/txt_title"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/_3sdp"
                            android:layout_marginBottom="@dimen/_3sdp"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="@dimen/txt10"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/txt_desc"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/_3sdp"
                            android:layout_marginBottom="@dimen/_3sdp"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="@dimen/txt10"
                            android:textStyle="normal"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/txt_code"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/_3sdp"
                            android:layout_marginBottom="@dimen/_3sdp"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="@dimen/txt10"
                            android:textStyle="normal"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/txt_price"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/_3sdp"
                            android:layout_marginBottom="@dimen/_3sdp"
                            android:textColor="@color/material_bluegrey800"
                            android:textSize="@dimen/txt10"
                            android:textStyle="bold"
                            android:visibility="gone" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/bottomVariant"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start|bottom"
                    android:layout_marginLeft="@dimen/textSizeToSmall"
                    android:layout_marginRight="@dimen/textSizeToSmall"
                    android:gravity="bottom|start"
                    android:orientation="horizontal"
                    android:visibility="visible">

                    <ImageView
                        android:id="@+id/imgLeft"
                        android:layout_width="wrap_content"
                        android:layout_height="@dimen/_35sdp"
                        android:src="@mipmap/previous_enable"
                        android:tint="@color/material_bluegrey800"
                        android:visibility="invisible" />

                    <HorizontalScrollView
                        android:id="@+id/horizontal_scroll"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start|center"
                        android:layout_weight="1"
                        android:scrollbars="none">

                        <LinearLayout
                            android:id="@+id/linear_wheel"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="start|center"
                            android:orientation="horizontal"
                            android:weightSum="1" />
                    </HorizontalScrollView>

                    <ImageView
                        android:id="@+id/imgRight"
                        android:layout_width="wrap_content"
                        android:layout_height="@dimen/_35sdp"
                        android:src="@mipmap/next_enable"
                        android:tint="@color/material_bluegrey800"
                        android:visibility="invisible" />
                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

        <ProgressBar
            android:id="@+id/progress"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_centerHorizontal="true" />

    </RelativeLayout>

    <ImageView
        android:id="@+id/noDataFound"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone" />
</LinearLayout>



